Summary: A base set of network utilities.
Name: netkit-base
Version: 0.10
Release: 4
Copyright: BSD
Group: Networking
Source: ftp://ftp.hcs.harvard.edu/pub/members/dholland/netkit/netkit-base-0.10.tar.gz
Source1: inet.init
Patch: netkit-base-0.10-glibc.patch
BuildRoot: /tmp/root-netkit-base
Packager: Henrik Nordstrm <hno@hem.passagen.se>

%description
Basic network tools, fixed and ported from BSD code.
This version supersedes NetKit-0.09.
Contains: inetd ping rpcinfo rpcgen

%prep
%setup 
./configure
%ifarch alpha
%patch -p1 -b .noglibc
%endif

%build
make

%install
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

mkdir -p ${RPM_BUILD_ROOT}/bin
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc{0,1,2,3,5,6}.d
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man1
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man8

make install INSTALLROOT=$RPM_BUILD_ROOT

install -m755 $RPM_SOURCE_DIR/inet.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/inet
ln -sf ../init.d/inet ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d/K50inet
ln -sf ../init.d/inet ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d/K50inet
ln -sf ../init.d/inet ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/S50inet
ln -sf ../init.d/inet ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S50inet
ln -sf ../init.d/inet ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d/S50inet
ln -sf ../init.d/inet ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d/K50inet

%clean
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
/bin/ping
/usr/bin/rpcinfo
/usr/sbin/inetd
/usr/man/man8/inetd.8
/usr/man/man8/ping.8
/usr/man/man8/rpcinfo.8
%config /etc/rc.d/init.d/inet
%config /etc/rc.d/rc0.d/K50inet
%config /etc/rc.d/rc1.d/K50inet
%config /etc/rc.d/rc2.d/S50inet
%config /etc/rc.d/rc3.d/S50inet
%config /etc/rc.d/rc5.d/S50inet
%config /etc/rc.d/rc6.d/K50inet
 
%ifnarch alpha
/usr/bin/rpcgen
/usr/man/man1/rpcgen.1
%endif
